export default class App {
  constructor() {
    this._onClick = this._onClick.bind(this);
    this._onClickBetter = this._onClickBetter.bind(this);


    let button = document.querySelector("#button");
    button.addEventListener("click", this._onClickBetter);
  }

  async _onClickBetter(event) {
    let res = await fetch("myfile.txt");
    let text = await res.text();
    let res2 = await fetch("person.json");
    let obj = await res2.json();
    let s = `${text}\n${obj.givenName} ${obj.surname}`;
    document.querySelector("#results").textContent = s;
  }

  _onClick(event) {
    /* Callback hell */
    let p = fetch("myfile.txt");
    // This is fine, but we'd have a lot of methods
    //p.then(this._onResult);
    p.then((response) => {
      let p2 = response.text();
      p2.then((text) => {
        let p3 = fetch("person.json");
        p3.then((res) => {
          let p4 = res.json();
          p4.then((obj) => {
            let s = `${text}\n${obj.givenName} ${obj.surname}`;
            document.querySelector("#results").textContent = s;
          });
        });      });
    });
    /* Can't do this after; need to wait for both results before setting text */
    // p = fetch("person.json");
    // p.then((res) => {
    //   let p2 = res.json();
    //   p2.then((obj) => {
    //     let s = `\n${obj.givenName} ${obj.surname}`;
    //     document.querySelector("#results").textContent += s;
    //   });
    // });
  }
}
